Get a campaign
curl --request GET \
--url https://fandom-api-preview.vercel.app/api/v1/campaigns/{campaignId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fandom-api-preview.vercel.app/api/v1/campaigns/{campaignId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://fandom-api-preview.vercel.app/api/v1/campaigns/{campaignId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"status": "<string>",
"objective": "<string>",
"brandId": "<string>",
"brand": {
"name": "<string>",
"website": "<string>",
"description": "<string>"
},
"industry": "<string>",
"language": "<string>",
"locations": [
"<string>"
],
"successMetrics": [
"<string>"
],
"campaignType": "<string>",
"budget": 123,
"budgetType": "daily",
"endDate": "<string>",
"biddingStrategy": "<string>",
"targetCpa": 123,
"targetRoas": 123,
"audiences": [
{
"id": "<string>",
"name": "<string>",
"audienceId": "<string>",
"dataStoreIds": [
"<string>"
]
}
],
"googleAds": {
"customerId": "<string>",
"accountName": "<string>",
"campaignId": "<string>",
"status": "<string>"
},
"url": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}Campaigns
Get a campaign
One campaign, with its audiences and Google Ads link.
Scope: campaigns:read.
GET
/
campaigns
/
{campaignId}
Get a campaign
curl --request GET \
--url https://fandom-api-preview.vercel.app/api/v1/campaigns/{campaignId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://fandom-api-preview.vercel.app/api/v1/campaigns/{campaignId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://fandom-api-preview.vercel.app/api/v1/campaigns/{campaignId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"status": "<string>",
"objective": "<string>",
"brandId": "<string>",
"brand": {
"name": "<string>",
"website": "<string>",
"description": "<string>"
},
"industry": "<string>",
"language": "<string>",
"locations": [
"<string>"
],
"successMetrics": [
"<string>"
],
"campaignType": "<string>",
"budget": 123,
"budgetType": "daily",
"endDate": "<string>",
"biddingStrategy": "<string>",
"targetCpa": 123,
"targetRoas": 123,
"audiences": [
{
"id": "<string>",
"name": "<string>",
"audienceId": "<string>",
"dataStoreIds": [
"<string>"
]
}
],
"googleAds": {
"customerId": "<string>",
"accountName": "<string>",
"campaignId": "<string>",
"status": "<string>"
},
"url": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "not_found",
"message": "<string>",
"requestId": "<string>"
}
}Authorizations
An API key from Settings → API access, starting with fnd_.
Path Parameters
Campaign id.
Pattern:
^[a-f0-9]{24}$Response
Success
draft, loading (collecting data), ready or error.
Show child attributes
Show child attributes
In the account's currency.
Available options:
daily, total Show child attributes
Show child attributes
Show child attributes
Show child attributes
Opens the campaign in Fandom.

